// stack_array.h
//
// Implementiert die Stack-Basisklasse mit einem Array.
//
// Informatik 1 D-ITET
// Musterloesung Uebung 13
// 
// Nicky Kern, 30.1.2002

#ifndef _STACK_ARRAY_H
#define _STACK_ARRAY_H

#include "stack.h"

#define MAX_ARRAY_STACK 20

class ArrayStack :
	public Stack
{
public:
	ArrayStack();

	bool push(char c);
	bool pop(char& c);
	bool is_empty();
	bool is_full();

private:
	char s[MAX_ARRAY_STACK];
	int top;
};

#endif
