// stack_array.cpp
//
// Implementiert die Stack-Basisklasse mit einem Array.
//
// Informatik 1 D-ITET
// Musterloesung Uebung 13
// 
// Nicky Kern, 30.1.2002

#include "stack_array.h"

ArrayStack::ArrayStack()
{
	top = -1;
}

bool ArrayStack::push(char c)
{
	if (top < MAX_ARRAY_STACK-1) {
		s[++top] = c;
		return true;
	}
	return false;
}

bool ArrayStack::pop(char& c)
{
	if (top >= 0) {
		c = s[top--];
		return true;
	}
	return false;
}

bool ArrayStack::is_empty()
{
	return (top == -1);
}

bool ArrayStack::is_full()
{
	return (top == MAX_ARRAY_STACK-1);
}
