// stack_list.cpp
//
// Implementiert die Stack-Basisklasse mit einer Liste.
//
// Informatik 1 D-ITET
// Musterloesung Uebung 13
// 
// Nicky Kern, 30.1.2002

#include "stack_list.h"

ListStack::ListStack()
{
	front = 0;
}

bool ListStack::push(char c)
{
	front = new StackItem(c, front);
	return true;
}

bool ListStack::pop(char& c)
{
	if (front == 0) return false;

	StackItem* tmp = front;
	front = front->next;

	c = tmp->c;
	delete tmp;
	return true;
}

bool ListStack::is_empty()
{
	return front == 0;
}

bool ListStack::is_full()
{
	return false;
}
